:root {
  --dark: hsl(253, 99%, 70%);
  --medium: hsl(253, 99%, 78%);
  --lite: hsl(253, 99%, 94%);
  --bg: hsl(253, 99%, 98%);

  --hover: hsl(253, 99%, 88%);
  --select: hsl(253, 99%, 93%);

  --black:  hsl(0, 0%, 20%);

  font-size: 18px;
}

/* source-sans-pro-300 - latin */
@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 300;
  font-display: block;
  src:
  local('Source Sans Pro Light'), local('SourceSansPro-Light'),
  url('../misc/source-sans-pro-v14-latin-300.woff2') format('woff2'),
  url('../misc/source-sans-pro-v14-latin-300.woff') format('woff');
}

/* source-sans-pro-regular - latin */
@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 400;
  font-display: block;
  src:
  local('Source Sans Pro Regular'), local('SourceSansPro-Regular'),
  url('../misc/source-sans-pro-v14-latin-regular.woff2') format('woff2'),
  url('../misc/source-sans-pro-v14-latin-regular.woff') format('woff');
}

/* source-sans-pro-600 - latin */
@font-face {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 600;
  font-display: block;
  src:
  local('Source Sans Pro SemiBold'), local('SourceSansPro-SemiBold'),
  url('../misc/source-sans-pro-v14-latin-600.woff2') format('woff2'),
  url('../misc/source-sans-pro-v14-latin-600.woff') format('woff');
}


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  margin-top: 0px;
  text-decoration: none;
  font-family: 'Source Sans Pro', sans-serif;
  height: auto;
  overflow: auto;
}


h1 {
  font-weight: 300;
  font-size: 2.5rem;
  margin-top: -7px;
  color: var(--black);
}

h2 {
  font-weight: 400;
  font-size: 1rem;
  color: var(--black);
}

h4 {
  line-height: 1.5;
  font-weight: 400;
  font-size: 1.5rem;
}

h5 {
  line-height: 1.5;
  font-weight: 400;
  font-size: 1.2rem;
}

p {
  font-size: 1rem;
  line-height: 1.4rem;
  margin-bottom: 10px;
  color: var(--black);
  overflow: hidden;
}

a {
  color: var(--dark);
  text-decoration: none;
  font-size: 1rem;
  line-height: 3px;
  overflow: hidden;
}

ol {
  display: inline-block;
  width: 100%;
  padding: 10px 10px 10px 15px;
  height: auto;
}

main {
  display: flex;
  justify-content: center;
  position: absolute;
  padding-top: 30px;
  width: 100vw;
  height: 100vh;
  background-color: var(--bg);
}

input {
  text-align: left;
  height: 100%;
  width: 100%;
  font-size: 1rem;
  padding: 6px 15px 6px 15px;
  border-radius: 4px 4px 0 0;
  border: none;
}

video{
  width: 100%;
  height: auto;
  margin-bottom: 15px;
}

img {
  width: 100%;
  height: auto;
  margin-bottom: 10px;
}


pre {
  resize: vertical;
  width: 100%;
  font-size: 1rem;
  font-family: Consolas, Menlo, Monaco, Lucida Console;
  background-color: #f0f0f0;
  margin-top: 15px;
  margin-bottom: 15px;
  padding: 15px;
  overflow: auto;
}
